﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Microsoft.Samples.AuthenticationManagement
{
    /// <summary>
    /// Enum type of login
    /// Spn: is service principal or client credential based login without any user interactions
    /// Interactive: is impersonalizing user, requires user to enter credential to login
    /// </summary>
    public enum LoginType
    {
        Spn,
        Interactive,
        Upn
    }
}
