﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Microsoft.Samples.CloudSolutionProviderManagement.Azure.DataModel.ResourceManager
{
    public class AzureSubscriptionList
    {
        [JsonProperty("value")]
        public AzureSubscription[] Subscriptions { get; set; }
        [JsonProperty("nextLink")]
        public string NextLink { get; set; }
    }

    public class AzureSubscription
    {
        [JsonProperty("id")]
        public string Id { get; set; }
        [JsonProperty("subscriptionId")]
        public string SubscriptionId { get; set; }
        [JsonProperty("state")]
        public string State { get; set; }
        [JsonProperty("displayName")]
        public string DisplayName { get; set; }
    }

    public class LocationList
    {
        [JsonProperty("value")]
        public Location[] Locations { get; set; }
    }

    public class Location
    {
        [JsonProperty("id")]
        public string Id { get; set; }
        [JsonProperty("name")]
        public string Name { get; set; }
        [JsonProperty("displayName")]
        public string DisplayName { get; set; }
        [JsonProperty("longitude")]
        public string Longitude { get; set; }
        [JsonProperty("latitude")]
        public string Latitude { get; set; }
    }
}
