﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Microsoft.Samples.CloudSolutionProviderManagement.AzureActiveDirectory.DataModel
{
    public class SubscribedSkus
    {
        [JsonProperty("odata.emtadata")]
        public string Metadata { get; set; }
        [JsonProperty("value")]
        public SubscribedSku[] SubscribedSkuList { get; set; }
    }

    public class SubscribedSku
    {
        [JsonProperty("capabilityStatus")]
        public string CapabilityStatus { get; set; }

        [JsonProperty("consumedUnits")]
        public int ConsumedUnits { get; set; }

        [JsonProperty("objectId")]
        public string ObjectId { get; set; }

        [JsonProperty("prepaidUnits")]
        public LicenseUnitsDetial PrepaidUnits { get; set; }

        [JsonProperty("servicePlans")]
        public ServicePlanInfo [] ServicePlans { get; set; }

        [JsonProperty("skuId")]
        public string SkuId { get; set; }

        [JsonProperty("skuPartNumber")]
        public string SkuPartNumber { get; set; }
    }
}
