﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Microsoft.Samples.CloudSolutionProviderManagement.PartnerCenter.DataModel
{
    public class Reseller
    {

        [JsonProperty("id")]
        public string Id { get; set; }

        [JsonProperty("identity")]
        public CustomerIdentity Identity { get; set; }

        [JsonProperty("is_test")]
        public bool IsTest { get; set; }

        [JsonProperty("links")]
        public CustomerLinks Links { get; set; }

        [JsonProperty("object_type")]
        public string ObjectType { get; set; }
    }

    public class ResellerData
    {

        [JsonProperty("tid")]
        public string Tid { get; set; }
    }
}
