﻿using Caliburn.Micro;
using Microsoft.Samples.AuthenticationManagement;
using Microsoft.Samples.CloudSolutionProviderManagement.Azure.DataModel.Network;
using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Microsoft.Samples.CloudSolutionProviderControlPanel.ViewModels.Azure.Network
{
    [Export(typeof(LoadBalancerViewModel))]
    public class LoadBalancerViewModel : Screen
    {
        private readonly IWindowManager windowManager;
        private readonly IEventAggregator eventAggregator;
        private string tenantId;
        private string subscriptionId;
        private string resourceGroupName;
        private LoadBalancer lbItem;
        private LoginType authType;

        [ImportingConstructor]
        public LoadBalancerViewModel(IWindowManager winMgr, IEventAggregator evt, string tId, string sId, string rgName,  LoadBalancer item, LoginType loginType)
        {
            windowManager = winMgr;
            eventAggregator = evt;
            tenantId = tId;
            subscriptionId = sId;
            resourceGroupName = rgName;
            lbItem = item;
            authType = loginType;
        }
    }
}
