﻿using Caliburn.Micro;
using Microsoft.Samples.AuthenticationManagement;
using Microsoft.Samples.CloudSolutionProviderManagement.Azure.DataModel.Compute;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace Microsoft.Samples.CloudSolutionProviderControlPanel.ViewModels.Azure.VirtualMachine
{
    [Export(typeof(AvailabilitySetViewModel))]
    public class AvailabilitySetViewModel : Conductor<object>
    {
        private readonly IWindowManager windowManager;
        private readonly IEventAggregator eventAggregator;
        private string tenantId;
        private string subscriptionId;
        private string resourceGroupName;
        private AvailabilitySet asItem;
        private LoginType authType;
        private readonly BackgroundWorker worker = new BackgroundWorker();

        [ImportingConstructor]
        public AvailabilitySetViewModel(IWindowManager winMgr, IEventAggregator evt, string tId, string sId, string rgName, AvailabilitySet item, LoginType loginType)
        {
            windowManager = winMgr;
            eventAggregator = evt;
            tenantId = tId;
            subscriptionId = sId;
            resourceGroupName = rgName;
            asItem = item;
            authType = loginType;
        }
        
        
    }
}
