﻿using Caliburn.Micro;
using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Microsoft.Samples.CloudSolutionProviderControlPanel.ViewModels.AzureActiveDirectory.ServicePrincipal
{
    [Export(typeof(NewServicePrincipalViewModel))]
    public class NewServicePrincipalViewModel : Screen
    {
        private readonly IEventAggregator eventAggregator;
        private string tenantId;

        [ImportingConstructor]
        public NewServicePrincipalViewModel(IEventAggregator evt, string tId)
        {
            eventAggregator = evt;
            tenantId = tId;
        }
    }
}
