﻿using Caliburn.Micro;
using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Microsoft.Samples.CloudSolutionProviderControlPanel.ViewModels.PartnerCenter.EventStream
{
    [Export(typeof(EventStreamViewModel))]
    public class EventStreamViewModel : Screen
    {
        private readonly IWindowManager windowManager;
        private readonly IEventAggregator eventAggregator;
        
        [ImportingConstructor]
        public EventStreamViewModel(IWindowManager winMgr, IEventAggregator evt)
        {
            windowManager = winMgr;
            eventAggregator = evt;
        }
    }
}
