#Initialize all demo variables
Initialize-CSPVariables

#Generate the security tokens
Get-AADToken
$AADToken
Get-SAToken
$SAToken
Get-ResellerIdentity
$ResellerIdentity

#List all customers
Get-Contracts

#Create a customer
Create-Customer -DomainNamePrefix demo1pref11 -UserName demo1username11 -Password Password1!11 -Email demo111@demo11.com -CompanyName Demo11Company -FirstName Demo11FirstName -LastName Demo11LastName

#Select the Demo Customer
$DemoCustomer = Get-Contracts | Out-GridView -OutputMode Single

$DemoCustomer

#### 
$TestCustomer = Get-CustomerByID -CustomerID $DemoCustomer.customerContextId

$TestCustomer

Get-CustomerProfile -CustomerID $TestCustomer.id | fl

### Subscriptions
$Subscriptions = Get-AllSubscriptions -CustomerID $TestCustomer.id
$Subscriptions.items

$DemoSubscription = Get-AllSubscriptions -CustomerID $TestCustomer.id | Out-GridView -OutputMode Single
$DemoSubscription.items

$TestSub = Get-Subscription -SubscriptionID $DemoSubscription.items[0].id

Remove-SubscriptionSuspension -SubscriptionID $DemoSubscription.items[0].id
Suspend-Subscription -SubscriptionID $DemoSubscription.items[0].id

#### Get all Orders
$orders = Get-AllOrders -CustomerID $TestCustomer.id
$orders.items


#### GET RATE CARD ## In progress

#Get-RateCard




