﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Microsoft.Samples.CloudSolutionProviderManagement.Azure.DataModel.Compute
{
    public class VirtualMachineExtensionImage
    {
        [JsonProperty("id")]
        public string Id { get; set; }
        [JsonProperty("name")]
        public string Name { get; set; }
        [JsonProperty("location")]
        public string Location { get; set; }
        [JsonProperty("properties")]
        public VirtualMachineExtensionImageProperties Properties { get; set; }
    }

    public class VirtualMachineExtensionImageProperties
    {
        [JsonProperty("computeRole")]
        public string ComputeRole { get; set; }
        [JsonProperty("handlerSchema")]
        public string HandlerSchema { get; set; }
        [JsonProperty("operatingSystem")]
        public string OperatingSystem { get; set; }
        [JsonProperty("supportsMultipleExtensions")]
        public bool SupportsMultipleExtensions { get; set; }
        [JsonProperty("vmScaleSetEnabled")]
        public bool VMScaleSetEnabled { get; set; }
    }
}
