﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Microsoft.Samples.CloudSolutionProviderManagement.Azure.DataModel.Compute
{
    public class VirtualMachineSizeList
    {
        [JsonProperty("value")]
        public VirtualMachineSize[] VirtualMachineSizes { get; set; }
    }

    public class VirtualMachineSize
    {
        [JsonProperty("maxDataDiskCount")]
        public int? MaxDataDiskCount { get; set; }
        [JsonProperty("memoryInMB")]
        public int MemoryInMB { get; set; }
        [JsonProperty("name")]
        public string Name { get; set; }
        [JsonProperty("numberOfCores")]
        public int NumberOfCores { get; set; }
        [JsonProperty("osDiskSizeInMB")]
        public int OSDiskSizeInMB { get; set; }
        [JsonProperty("resourceDiskSizeInMB")]
        public int ResourceDiskSizeInMB { get; set; }
    }
}
