﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Microsoft.Samples.CloudSolutionProviderManagement.Azure.DataModel.SQLDatabase
{
    public class UsageMetric
    {
        [JsonProperty("currentValue")]
        public double CurrentValue { get; set; }
        [JsonProperty("displayName")]
        public string DisplayName { get; set; }
        [JsonProperty("limit")]
        public double Limit { get; set; }
        [JsonProperty("nextResetTime")]
        public DateTime? NextResetTime { get; set; }
        [JsonProperty("resourceName")]
        public string ResourceName { get; set; }
        [JsonProperty("unit")]
        public string Unit { get; set; }
    }

    public class UsageMetricList
    {
        [JsonProperty("value")]
        public UsageMetric[] UsageMetrics { get; set; }
    }
}
