﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Microsoft.Samples.CloudSolutionProviderManagement.AzureActiveDirectory.DataModel
{
    public class DirectoryRoles
    {
        [JsonProperty("odata.emtadata")]
        public string Metadata { get; set; }
        [JsonProperty("value")]
        public DirectoryRole[] DirectoryRoleList { get; set; }
    }

    public class DirectoryRole
    {
        [JsonProperty("description")]
        public string Description { get; set; }

        [JsonProperty("displayName")]
        public string DisplayName { get; set; }

        [JsonProperty("isSystem")]
        public bool IsSystem { get; set; }

        [JsonProperty("objectId")]
        public string ObjectId { get; set; }

        [JsonProperty("objectType")]
        public string ObjectType { get; set; }

        [JsonProperty("roleDisabled")]
        public bool RoleDisabled { get; set; }

        [JsonProperty("roleTemplateId")]
        public string RoleTemplateId { get; set; }
    }

    public class AddRoleMemberParameters
    {
        [JsonProperty("url")]
        public string Url { get; set; }
    }
}
