﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Microsoft.Samples.CloudSolutionProviderManagement.PartnerCenter.DataModel
{
    /// <summary>
    /// class encapulates the suspend subscription request
    /// </summary>
    public class SuspendSubscription
    {
        [JsonProperty("suspension_reason")]
        public string SuspensionReason { get; set; }

        [JsonProperty("suspension_reason_comment")]
        public string SuspensionReasonComment { get; set; }
    }

    public class ReactivateSuspendedSubscription
    {
        [JsonProperty("suspension_reason")]
        public string SuspensionReason { get; set; }
    }
}
