﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Microsoft.Samples.CloudSolutionProviderControlPanel.Models.Events
{
    public class TraceEvent
    {
        public TraceEventType EventType { get; set; }
        public string Content { get; set; }
        public TraceEvent(TraceEventType eventType, string content)
        {
            EventType = eventType;
            Content = content;
        }
    }

    public enum TraceEventType
    {
        Warning,
        Info,
        Error
    }
}
