﻿using Caliburn.Micro;
using System;
using System.Collections.Generic;
using System.ComponentModel.Composition;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Microsoft.Samples.CloudSolutionProviderControlPanel.ViewModels.PartnerCenter.Subscription
{
    [Export(typeof(UpdateSubscriptionAdvisorPartnerViewModel))]
    public class UpdateSubscriptionAdvisorPartnerViewModel : Screen
    {
        private readonly IEventAggregator eventAggregator;
        private string resellerCid;
        private string subscriptionId;

        [ImportingConstructor]
        public UpdateSubscriptionAdvisorPartnerViewModel(IEventAggregator evt, string resellerId, string subId)
        {
            eventAggregator = evt;
            resellerCid = resellerId;
            subscriptionId = subId;
        }
    }
}
